package com.persagy.iottransfer.communication.util;

import java.io.PrintWriter;
import java.io.StringWriter;

public class ExceptionUtil {
    private static final ExceptionUtil instance = new ExceptionUtil();

    private ExceptionUtil() {

    }

    public synchronized static ExceptionUtil Instance() {
        return instance;
    }

    public synchronized String GetMessage(Exception e) {
        StringWriter stringWriter = new StringWriter();
        PrintWriter printWriter = new PrintWriter(stringWriter);
        e.printStackTrace(printWriter);
        String error = stringWriter.getBuffer().toString();
        return error;
    }
}
